summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
commit6c1f4e52023b81e6dbdfa0dabc47ddbd04844ba1 (patch)
tree3bd7166206fce1ce892ea22ca0e940887fc4275f
parent5fa09a3e7b14dca614040a3ea0da262cb9d3cea9 (diff)
downloadslackbuilds-6c1f4e52023b81e6dbdfa0dabc47ddbd04844ba1.tar.gz
slackbuilds-6c1f4e52023b81e6dbdfa0dabc47ddbd04844ba1.tar.xz
audio/amrwb: Moved from multimedia
-rw-r--r--audio/amrwb/README (renamed from multimedia/amrwb/README)2
-rw-r--r--audio/amrwb/amrwb.SlackBuild88
-rw-r--r--audio/amrwb/amrwb.info (renamed from multimedia/amrwb/amrwb.info)6
-rw-r--r--audio/amrwb/slack-desc19
-rw-r--r--multimedia/amrwb/amrwb.SlackBuild65
-rw-r--r--multimedia/amrwb/slack-desc12
6 files changed, 111 insertions, 81 deletions
diff --git a/multimedia/amrwb/README b/audio/amrwb/README
index 01253b45c8..f7a9db7ae5 100644
--- a/multimedia/amrwb/README
+++ b/audio/amrwb/README
@@ -1,4 +1,4 @@
-amrnb - AMR Wide Band Speech Codec
+amrwb - AMR Wide Band Speech Codec
This is library is an effort to link against the amrwb-codec,
standardized by the 3GPP, and used in modern mobile-phones
diff --git a/audio/amrwb/amrwb.SlackBuild b/audio/amrwb/amrwb.SlackBuild
new file mode 100644
index 0000000000..88ad6425b9
--- /dev/null
+++ b/audio/amrwb/amrwb.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for amrwb
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=amrwb
+VERSION=7.0.0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-shared \
+ --disable-static \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+if [ -e $CWD/26204-700.zip ]; then
+ cp $CWD/26204-700.zip .
+else
+ echo
+ echo "$CWD/26204-700.zip was not found."
+ echo "Go back and read $CWD/README again."
+ echo
+ exit 1
+fi
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/amrwb/amrwb.info b/audio/amrwb/amrwb.info
index ce4e5a3979..82efd0ea04 100644
--- a/multimedia/amrwb/amrwb.info
+++ b/audio/amrwb/amrwb.info
@@ -1,8 +1,8 @@
PRGNAM="amrwb"
-VERSION="7.0.0.2"
+VERSION="7.0.0.3"
HOMEPAGE="http://www.penguin.cz/~utx/amr"
-DOWNLOAD="http://ftp.penguin.cz/pub/users/utx/amr/amrwb-7.0.0.2.tar.bz2"
-MD5SUM="ab6d134fdc36aadd45232ce36f8e12ac"
+DOWNLOAD="http://ftp.penguin.cz/pub/users/utx/amr/amrwb-7.0.0.3.tar.bz2"
+MD5SUM="5ffbc49146b0bb09b5d7f0ec68de1fe7"
MAINTAINER="ppr:kut"
EMAIL="HMWiesinger@gmx.at"
APPROVED="rworkman"
diff --git a/audio/amrwb/slack-desc b/audio/amrwb/slack-desc
new file mode 100644
index 0000000000..6005a8b7e7
--- /dev/null
+++ b/audio/amrwb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+amrwb: amrwb (AMR Wide Band Speech Codec)
+amrwb:
+amrwb: 3GPP Adaptive Multi-Rate Floating-point (AMR)
+amrwb: Speech Codec Shared Library. This codec is for
+amrwb: example used in mobile-phones.
+amrwb:
+amrwb: Homepage: http://www.penguin.cz/~utx/amr
+amrwb:
+amrwb:
+amrwb:
+amrwb:
diff --git a/multimedia/amrwb/amrwb.SlackBuild b/multimedia/amrwb/amrwb.SlackBuild
deleted file mode 100644
index e82a3252a0..0000000000
--- a/multimedia/amrwb/amrwb.SlackBuild
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/bin/sh
-
-# Slackware build script for amrwb
-# Written by ppr:kut <hmwiesinger@gmx.at>
-# Modified by Robby Workman <rworkman@slackbuilds.org>
-
-PRGNAM=amrwb
-VERSION=7.0.0.2
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-fi
-
-set -e
-
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
-chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --enable-shared \
- --disable-static \
- --localstatedir=/var
-
-if [ -e $CWD/26204-700.zip ]; then
- cp $CWD/26204-700.zip .
-else
- echo
- echo "$CWD/26204-700.zip was not found."
- echo "Go back and read $CWD/README again."
- echo
- exit 1
-fi
-
-make
-make install-strip DESTDIR=$PKG
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/amrwb/slack-desc b/multimedia/amrwb/slack-desc
deleted file mode 100644
index 13f8cc4c54..0000000000
--- a/multimedia/amrwb/slack-desc
+++ /dev/null
@@ -1,12 +0,0 @@
- |-----handy-ruler-----------------------------------------------------|
-amrwb: amrwb (AMR Wide Band Speech Codec)
-amrwb:
-amrwb: 3GPP Adaptive Multi-Rate Floating-point (AMR)
-amrwb: Speech Codec Shared Library. This codec is for
-amrwb: example used in mobile-phones.
-amrwb:
-amrwb: Homepage: http://www.penguin.cz/~utx/amr
-amrwb:
-amrwb:
-amrwb:
-amrwb: